<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>FACTURE - ADAPTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->

	<script type="text/javascript" src="<c:url value="/resources/js/fn_index.js" />"></script>
</head>

<body class="page-body">

    <div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->

    <!-- collapsed -->
    
	<div class="page-container" style="border-top: 1px solid #ccc">
	
		<div class="sidebar-menu" style="background-color: #ffffff;" >
		       <div class="panel-body">
			       	<div class="gallery-env"> 
			       		
								<c:forEach items="${lCaracteristica}" var="co"  varStatus="item" > 
									<div class="row">
									   <div class="col-md-12">
									      <div class="panel panel-success" data-collapsed="0">
									      
									         <div class="panel-heading">
									            <div class="panel-title">
									            	${co.denominacion}
									            </div>
									            <div class="panel-options"> 
									            	<a href="#" data-rel="collapse"><i class="entypo-down-open"></i></a> 
									            </div>
									         </div>
									         
									         <div class="panel-body">
								            	<div class="col-sm-12">
								            		<c:forEach items="${co.lista}" var="de"  >
											      		<div class="checkbox checkbox-replace color-primary"> <input type="checkbox" id="chk-20" > <label>${de.denominacion}</label> </div>
											      	</c:forEach>
											    </div>
									         </div>
									         
									      </div>
									   </div>
									</div>
								</c:forEach>
						
					</div>
			</div>
					
		</div>

	
         <div class="panel-body">
          	<div class="gallery-env"> 
          		<div class="row">
          				<c:forEach items="${lAnuncios}" var="ca"  varStatus="item" >
			            	<div class="col-sm-4">
								<article class="album">
							      <header> 
							      	<a href="http://localhost:8080/facture/gallery-single/"> 
							      		<img src="https://demo.neontheme.com/assets/images/album-thumb-2.jpg" /> 
							      	</a> 
							      	<a href="#" class="album-options"><i class="entypo-cog"></i>
							         Change Cover
							         </a> 
							      </header>
							      <section class="album-info">
							         <h3><a href="http://localhost:8080/facture/gallery-single/">${ca.titulo}</a></h3>
							         <p>${ca.descripcion}</p>
							      </section>
							      <footer>
							         <div class="album-images-count"> <i class="entypo-picture"></i>
							            27
							         </div>
							         <div class="album-options"> 
							         	<a href="#"> <i class="entypo-cog"></i> </a> 
							         	<a href="#"> <i class="entypo-trash"></i> </a> 
							         </div>
							      </footer>
							   </article>					            		
						   </div>
				   		</c:forEach>
				 </div>
			</div>	   
         </div>
				         
	</div>

	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
</body>
</html>