<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	
	<title>FACTURE - ADAPTER</title>
	
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->

	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_registro_factura.js?42" />"></script>
	<script type="text/javascript" src="<c:url value="/resources/js/shortcut.js?3" />"></script>
	<!-- Logica de presentacion : fin-->
	
	<style>
		.green-border {
		  border: 1px solid green !important;  
		}
		
		input:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		select:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		textarea:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
	</style>
</head>

<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
					</li>
					<li>
					</li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    <!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-gauge"></i>
						<span class="title">Servicio</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/registro-comp"/>">
								<i class="entypo-docs"></i>
								<span class="title">Registro de comprobante</span>
							</a>
						</li>
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-print"></i>
						<span class="title">Reportes</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/reporte-pagos"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Reporte de Pagos</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-detalle-ordenes"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Detalle de Ventas</span>
							</a>
						</li>
						
						<li>
							<a href="<c:url value="/reporte-venta"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Registro de Ventas</span>
							</a>
						</li>
						
						<li>
							<a href="<c:url value="/reporte-inventario"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Registro de Inventarios</span>
							</a>
						</li>
						
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-layout"></i>
						<span class="title">Mantenimiento</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/mante-cliente"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento de Cliente</span>
							</a>
						</li>
						
						<li>
							<a href="<c:url value="/registro-lista-precio"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento de Articulo</span>
							</a>
						</li>
						
					</ul>
				</li>
				
			</ul>
				
			</div>
	
	</div>
	
	
	
	<div class="main-content">
			<div class="row">
				<form id="frmReferencia" >
					<div class="col-md-12">
					
					<div class="panel panel-default">
					  
					  <div class="panel panel-danger">
						  <div class="panel-heading">
						  	<div class="row">
						  		<div class="col-md-12">
						  			<div class="form-group">
								    	<label class="control-label control-label-left col-sm-12" for="field25"><h4><b>COMPROBANTE DE PAGO</b></h4></label>
								    </div>
								</div>
							</div>
						  </div>
					  </div>	  
					  
					  <div class="panel-body">
					  		<div class="row">	
								<div class="col-md-6">
									<div class="form-group">
										<label class="control-label control-label-left col-sm-3" >Tipo Comprobante:</label>
									    <div class="controls col-sm-9">
									    	<input type="hidden" id="hIdTipoComprobante" value="${comprobante.idTipoComprobante}" >
											<select required="required" id="selIdTipoComprobante" class="form-control" data-role="select" >
												<!-- <option value="2" >BOLETA</option> -->
											    <!-- <option value="1" >FACTURA</option> -->
											    <c:forEach items="${listaTipoComprobante}" var="o" varStatus="i" >
													<option value="${o.id}">${o.codigo}</option>
												</c:forEach>
											</select>
						                </div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" >Comprobante:</label>
									    <div class="controls col-sm-9">
										    <input type="hidden" id="hIdComprobante" value="${comprobante.idComprobante}" >
											<input type="text"  id="txtNumeroComprobante" disabled="disabled"  width="50%" size="30" maxlength="30" name="" class="form-control k-textbox" value="${comprobante.numeroComprobante}" data-role="text" style="text-transform: uppercase">
						                </div>
									</div>	
								</div>
							</div>
							
							
							<div class="row">
								<div class="col-md-6">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" for="field25">Nro Guia:</label>
									    <div class="controls col-sm-9">
									    	<input type="text" id="txtListaGuia" value="${comprobante.listGuia}" disabled="disabled"  width="100%" name="" class="form-control k-textbox" data-role="text" style="text-transform: uppercase;color:red">	
						                </div>
									</div>
								</div>
								
								<div class="col-md-6">
									<div class="form-group">
										<label class="control-label control-label-left col-sm-3" for="field25">Estado Pago:</label>
										
									    <div class="controls col-sm-9">
									    	<input type="text" id="txtEstadoFactura" disabled="disabled"  width="50%" size="30" maxlength="30" name="" class="form-control k-textbox" data-role="text" style="text-transform: uppercase;color:red">	
						                </div>
						                
									</div>	
								</div>
							</div>
							
							<div class="row">
								<div class="col-md-6">
									<div class="form-group">
								    	<label class="control-label control-label-left col-sm-3" for="field41">Fecha Documento:</label>
									    <div class="controls col-sm-9">
											<input type="text" id="" disabled="disabled" required="required" class="form-control datepicker" value="${comprobante.fechaComprobante}" data-format="dd/mm/yyyy" format="dd/mm/yyyy">
						                </div>
				                	</div>
								</div>
								
								<div class="col-md-6">
									<div class="form-group">
				                	</div>
								</div>
							</div>
							
							<div class="row">
								<div class="col-md-6">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" for="field25">Cliente:</label>
									    <div class="controls col-sm-9">
						                	<input id="" disabled="disabled" value="${comprobante.numeroDocumentoCliente} ${comprobante.denominacionCliente}" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
						                </div>
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
									</div>	
								</div>
							</div>
							
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
									    <div class="controls col-sm-12">
								    		<input id="txtDescCliente" value="${cliente.descripcion}" required="required" width="100%" disabled="disabled" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
						                </div>
									</div>
								</div>
							</div>
							
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" for="field25">Descripcion:</label>
									    <div class="controls col-sm-12">
						                	<input type="text" id="txtDescripcion" required size="100" value="${comprobante.descripcion}" maxlength="100" name="" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
						                </div>
									</div>
								</div>
							</div>
						
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
									    <input type="hidden"/>
									</div>
								</div>
							</div>
							
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
									    <input type="hidden"/>
									</div>
								</div>
							</div>
							
							<div class="row">
								<div class="form-group">
										<table id="tablaComprobanteDetalle" class="table table-bordered">
											<thead>
												<tr align="right">
													<th>
														
													</th>
													<th>Codigo</th>
													<th>Denominacion</th>
													<th>Cantidad</th>
													<th>Precio Unit</th>
														<th>Descuento</th>
														<th>Recargo</th>
													<th>Subtotal</th>
														<th>Igv</th>
													<th>Total</th>
												</tr>
											</thead>
											<tbody>
												<c:set var="total_cantidad" value="0" scope="request" />
												<c:set var="total_precio" value="0" scope="request" />
													<c:set var="total_descuento" value="0" scope="request" />
													<c:set var="total_recargo" value="0" scope="request" />
												<c:set var="total_linea" value="0" scope="request" />
												<c:set var="total_igv" value="0" scope="request" />
												<c:set var="total_subtotal" value="0" scope="request" />
												
												<c:forEach items="${lComprobanteDetalle}" var="o" varStatus="i" >
													<tr align="right">			
														<td align="center">
															${i.count}
														</td>				
														<td>${o.idComprobanteDetalle}</td>
														<td>${o.denominacionServicio}</td>
														
														<td>${o.cantidad}</td>
														<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.precioUnitario}"/></td>
															<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.descuento}"/></td>
															<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.recargo}"/></td>
															<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.subtotal+o.recargo-o.descuento}"/></td>
															<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.igv}"/></td>
														<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.totalLinea}"/></td>	
														<c:set var="total_cantidad" value="${total_cantidad + o.cantidad}" scope="request"/>
														<c:set var="total_precio" value="${total_precio + o.precioUnitario}" scope="request"/>
															<c:set var="total_descuento" value="${total_descuento + o.descuento}" scope="request" />
															<c:set var="total_recargo" value="${total_recargo + o.recargo}" scope="request" />
														<c:set var="total_subtotal" value="${total_subtotal + (o.subtotal+o.recargo-o.descuento)}" scope="request"/>
														<c:set var="total_igv" value="${total_igv + o.igv}" scope="request"/>
														<c:set var="total_linea" value="${total_linea+ o.totalLinea}" scope="request"/>
														
													</tr>
												</c:forEach>
											</tbody>
												
											<tfoot>
												<tr>
													<td></td>						
													<td align="right">Total</td>
													<td></td>
													<td align="right">
														
													</td>
													<td align="right">
														
													</td>
													<td align="right">
														<input disabled="disabled" type="text" id="fTotalDescuento" style="text-align: right;width:80px" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_descuento}"/>">
													</td>	
													
													<td align="right">
														<input disabled="disabled" type="text" id="fTotalRecargo" style="text-align: right;width:80px" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_recargo}"/>">
													</td>
													
													<td align="right">
														<input disabled="disabled" type="text" id="fTotalSubTotal" style="text-align: right;width:80px" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_subtotal}"/>">
													</td>
													
													<td align="right">
														<input disabled="disabled" type="text" id="fTotalIgv" style="text-align: right;width:80px" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_igv}"/>">
													</td>
													
													<td align="right">
														<input disabled="disabled" type="text" id="fTotalLinea" style="text-align: right;width:80px" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_linea}"/>">
													</td>
												</tr>
											</tfoot>
										</table>
								</div>
							</div>
					
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<div class="controls col-sm-6">
											<input type="hidden" id="hEstado" value="${comprobante.estado}" >
											<input type="hidden" id="hIdPago" value="${comprobante.idPago}" >
											
											<button type="button" id="cmdCompletar" class="btn btn-success" > 
												<span class="ui-button-text">
													Guardar [G]
												</span>
												<i class="entypo-cog"></i> 
											</button>
											
											
											<button type="button" id="cmdPagar" class="btn btn-danger" data-toggle="modal" data-target="#myModalPago" > 
												<span class="ui-button-text">
													Pagar [A]
												</span>
												<i class="entypo-vcard"></i> 
											</button>
											
											<button type="button" id="cmdImprimir" class="btn btn-info">
												<span class="ui-button-text">
													Imprimir [P]
												</span>
												<i class="entypo-print"></i>	
											</button>
										</div>
										
										
										<div class="controls col-sm-6" align="right" >	
											<a id="cmdNuevoGuia" href="<c:url value="/registro-comp"/>">
											
												<button type="button" class="btn btn-success" >
													<span class="ui-button-text">
														Nueva Guia [N]
													</span>
													<i class="entypo-reply"></i>
													<i class="entypo-reply"></i>
												</button>
												
											</a>	
										</div>
										
									</div>
								</div>
							</div>
						</div>
	            	</div>
	              </div><!-- footer -->
	            </form>
	        </div>
	</div>			
	
	<!-- Modal -->
	<div id="myModalPago" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Forma de pago</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroValidacion" >
					<div class="row">
		            	<div class="col-md-6">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field24">Forma:</label>
								<div class="controls col-sm-9">
									<select required="required" onchange="mostrarTarjeta()" id="selIdFormaPago" class="form-control" data-role="select" >
									    <option selected="selected" value="1" >EFECTIVO</option>
									    <option value="2" >TARJETA</option>
									    <option value="3" >POR COBRAR</option>
									    <option value="4" >EMPLEADO</option>
									    <option value="5" >OBRERO</option>
									    <option value="6" >OTROS</option>
									</select>
				            	</div>
							</div>
						</div>
				
						<div class="col-md-6">
							<div class="form-group">
								
							</div>
						</div>
					</div>
					
					<!-- Efectivo -->
					<div class="row">
		            	<div class="col-md-6">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field24">Moneda:</label>
								<div class="controls col-sm-9">
									<select id="selIdTipoMoneda" required="required" class="form-control" data-role="select" >
									    <option selected="selected" value="1">Soles</option>
									    <option value="2">Dolares</option>
									</select>
				            	</div>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<label class="control-label control-label-left col-sm-3" for="field24">Monto:</label>
								<div class="controls col-sm-9">
								
									<input id="hTotalNetoComprobante" required="required" type="hidden" value="${comprobante.totalGeneral}" >
									
									<input id="hTotalPagado" required="required" type="hidden" value="${comprobante.totalPagado}" >
									
									<input id="txtMontoPago" required="required" type="text" size="50" maxlength="50" value="${comprobante.totalGeneral}" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
				            	</div>
							</div>
						</div>
					</div>
					
					<!-- Tarjeta -->
					<div id="dtarjeta">	
						<div class="row">
			            	<div class="col-md-6">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-3" for="field24">Tipo:</label>
									<div class="controls col-sm-9">
										<select required="required" id="selIdTipoTarjeta" class="form-control" data-role="select" >
										    <option selected="selected" value="1">VISA</option>
										    <option value="2">DINERS</option>
										    <option value="3">MASTER CARD</option>
										    <option value="4">AMERICAN EXPRESS</option>
										</select>
					            	</div>
								</div>
							</div>
					
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3" for="field24">Numero:</label>
									<div class="controls col-sm-9">
										<input id="txtNumeroTarjeta" required="required" type="text" size="50" maxlength="50" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
					            	</div>
								</div>
							</div>
						</div>
					</div>
					
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<button type="button" id="cmdGuardarPago" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdClosePago" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	  </div>
	</div>
	<!-- Modal : Fin -->
			
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->
	
	<script>

			$(function(){
		        $('input:required,textarea:required,select:required').on('blur', function(){
		        });
		  });
	</script>
	
	<script>
	    $('.datepicker').datepicker();
	    $('.datepicker').datepicker({
	        dateFormat: 'dd/mm/yyyy',
	        format: 'dd/mm/yyyy'
	     });

	    document.getElementById("dtarjeta").style.display = "none";
	    
	    function mostrarTarjeta(){
			var div=$("#selIdFormaPago");
			var dtarjeta = document.getElementById("dtarjeta");
			
			if(div.val()==2){
				dtarjeta.style.display = "block";
			}
			if(div.val()!=2){
				dtarjeta.style.display = "none";
			}
		}

	    init();
		
		function init(){
			//$("#txtDescripcion").focus();
			$("#selIdTipoComprobante").focus();
			
			var idPago=$("#hIdPago").val();
			if(idPago>0){
				$('#cmdPagar').prop("disabled", true);
				$("#cmdPagar span").text("Pagado [A]");
			}
			var estado=$("#hEstado").val();
			
			if(estado=='2'){//ESTADO_INVOICE_COMPLETO = "2";
				$('#cmdCompletar').prop("disabled", true);
				$("#cmdCompletar span").text("Guardar [G]");

				//disabled	
				$('#txtDescripcion').prop("disabled", true);
				$('#selIdTipoComprobante').prop("disabled", true);
			}
			var hIdTipoComprobante=$("#hIdTipoComprobante").val();
			$("#selIdTipoComprobante option[value='"+hIdTipoComprobante+"']").prop('selected', true);

			$("#selIdTipoComprobante").val(hIdTipoComprobante);
		}
	</script>
	
	<script>
		shortcut.add("alt+g",function() {
			$('#cmdCompletar').trigger('click');
		});
		
		shortcut.add("alt+a",function() {
			$("#cmdPagar").trigger('click');
		});
		
		shortcut.add("alt+p",function() {
			$('#cmdImprimir').trigger('click');
		});

		shortcut.add("alt+n",function() {
			var baseURL=$('#contextPathHolder').attr('data-contextPath');
			window.location = baseURL+"/registro-comp";
		});
		
	</script>
	
</body>
</html>