<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>FACTURE - ADAPTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_registro_lista_precio.js?5" />"></script>
	<!-- Logica de presentacion : fin-->
	
	<style>
		.green-border {
		  border: 1px solid green !important;  
		}
		
		input:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		select:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		textarea:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
	</style>
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    <!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-gauge"></i>
						<span class="title">Servicio</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/registro-comp"/>">
								<i class="entypo-docs"></i>
								<span class="title">Registro de comprobante</span>
							</a>
						</li>
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-print"></i>
						<span class="title">Reportes</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/reporte-pagos"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Reporte de Pagos</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-detalle-ordenes"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Detalle de Ventas</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-venta"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Registro de Ventas</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-inventario"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Registro de Inventarios</span>
							</a>
						</li>
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-layout"></i>
						<span class="title">Mantenimiento</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/mante-cliente"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento de Cliente</span>
							</a>
						</li>
						
						<li>
							<a href="<c:url value="/registro-lista-precio"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento de Articulo</span>
							</a>
						</li>
						
					</ul>
				</li>
				
			</ul>
				
			</div>
	
	</div>
	
	
	 
	<div class="main-content">
		<div class="row">
			<div class="col-md-12">
				<div class="panel panel-default">
			  
				  <div class="panel panel-info">
					  <div class="panel-heading">
						  	<div class="row">
						  		<div class="col-md-12">
						  			<div class="form-group">
								    	<label class="control-label control-label-left col-sm-12" ><h4><b>Mantenimiento de articulos</b></h4></label>
								    </div>
								</div>
							</div>
					  </div>
				  </div> 
				  
				  <div class="panel-body">	
      					<div class="row">
			            	<div id="subViewDiv"></div>
						</div>
				  </div>
        		</div>
			</div>
		</div>				
	</div>
		
	<!-- Modal : Inicio -->
	<div id="mManteServicio" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro de Servicios</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroServicioUpdate" >
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
		                	
						    	<label class="control-label control-label-left col-sm-3" for="field24">Denominacion (*):</label>
								<div class="controls col-sm-12">
				                	<input id="txtDenominacionServicio" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
				            	
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field24">Descripcion:</label>
								<div class="controls col-sm-12">
				                	<input id="txtDescripcionServicio" required="required" size="500" maxlength="500" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field24">Precio:</label>
								<div class="controls col-sm-12">
				                	<input id="txtPrecioServicio" required="required" size="50" maxlength="50" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field24">Cantidad:</label>
								<div class="controls col-sm-12">
				                	<input id="txtCantidadStock" required="required" size="50" maxlength="50" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
				            	</div>
							</div>
						</div>
					</div>
					
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
		                		<label class="control-label control-label-left col-sm-3" for="field24">Clasificacion:</label>
								<div class="controls col-sm-12">
								
				                	<select id="selClasificacion" required="required" class="form-control" data-role="select" >
									    <option selected="selected" value="CATEGORIA A" >CATEGORIA A</option>
									    <option value="CATEGORIA B" >CATEGORIA B</option>
									</select>
									
				            	</div>
							</div>
						</div>
					</div>
					 
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hIdServicioServicio">
	      	<input type="hidden" id="hIdListaPrecioServicio">
	      	<input type="hidden" id="hIdDetalleListaServicio">
	      	
	      	<button type="button" id="cmdGuardarServicio" class="btn btn-default" >Guardar</button>
	        <button type="button" id="cmdCloseServicio" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	      
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	<!-- Modal : Inicio -->
	<div id="mDelServicio" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Eliminar servicio</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroServicio" >
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<input id="txtDenominacionDelete" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
							</div>
						</div>
					</div>
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-12" for="field24">Realmente desea eliminar el registro?</label>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	<input type="hidden" id="hIdServicioDelete">
	      	<input type="hidden" id="hIdListaPrecioServicioDelete">
	      	<input type="hidden" id="hIdDetalleListaPrecioDelete">
	      	
	      	<button type="button" id="cmdDelAceptarServicio" class="btn btn-default" >Aceptar</button>
	        <button type="button" id="cmdDelClose" class="btn btn-default" data-dismiss="modal">Cancelar</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->	
			
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->
	
	
	<script>
		$(document).ready(function() {
			$('#tmante-listaservicios').DataTable( {
		    	"scrollY":        500,
		        "scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        dom : 'Bfrtip',
				buttons : ['excel', 'pdf', 'print'],
				autoWidth: false, //step 1
				"columnDefs": [
								{ "width": "2px", "targets": 0},
								{ "width": "2px", "targets": 1},
								{ "targets": 2,"searchable": true }
				             ]
		    		} );
		})
		
		$(document).ready(function() {
	        $("#txtPrecioServicio").keydown(function (e) {
	            // Allow: backspace, delete, tab, escape, enter and .
	            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
	                 // Allow: Ctrl/cmd+A
	                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+C
	                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: Ctrl/cmd+X
	                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
	                 // Allow: home, end, left, right
	                (e.keyCode >= 35 && e.keyCode <= 39)) {
	                     // let it happen, don't do anything
	                     return;
	            }
	            // Ensure that it is a number and stop the keypress
	            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
	                e.preventDefault();
	            }
	        });
	    });
	    
	</script>
	
</body>
</html>