<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
		<table id="tmante" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th>Correlativo</th>
					<th>Fecha Comp.</th>
					<th>Fecha Pago</th>
					<th>Tipo Comp.</th>
					<th>Comprobante</th>
					<th>Serie</th>
					<th>Numero</th>
					<th>Tipo Doc.</th>
					<th>Documento</th>
					<th>Numero Doc.</th>
					<th>Denominacion/Razon Social</th>
					<th>Base Imponible</th>
					<th>Total Igv</th>
					<th>Importe Total</th>
				</tr>
			</thead>
			
			<tbody>
				<c:set var="total_registros" value="0" scope="request" />
				<c:set var="total_monto_pago" value="0" scope="request" />
			
				<c:forEach items="${lista}" var="co"  varStatus="i" >
				<tr>							
					<td>
						${co.correlativoMes}
					</td>
					<td>
						${co.fechaComprobante}
					</td>
					<td>
						${co.fechaHoraPago}
					</td>
					<td>
						${co.tipoComprobante}
					</td>
					<td>
						${co.tipoComprobanteDesc}
					</td>
					<td>
						${co.serieComprobante}
					</td>
					<td>
						${co.numeroComprobante}	
					</td>
					<td>
						${co.tipoDocumento}
						
					</td>
					
					<td >
						${co.tipoDocumentoDesc}
					</td>
					<td>
						${co.numeroDocumento}
					</td>
					<td>
						${co.apenomRazonSocialCliente}
					</td>
					<td align="right">
						${co.sBaseImponible}
					</td>
					<td align="right">
						${co.sTotalIgv}
					</td>
					<td align="right">
						${co.sImporteTotal}
					</td>
					
					<c:set var="total_registros" value="${total_registros + 1}" scope="request"/>
					<c:set var="total_monto_pago" value="${total_monto_pago + co.importeTotal}" scope="request"/>
					
				</tr>
				</c:forEach>
			<tbody>
			
			<tfoot>
				<tr>
					<td></td>
					<td align="right" >Total:</td>
					<td align="right">
						${total_registros}
					</td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td align="right">
						<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_monto_pago}"/>
					</td>
					
				</tr>
			</tfoot>
		</table>
			
			
						
	<script>

	$(document).ready(function() {
		$('#tmante').DataTable( {
	    	"scrollY":        500,
	        "scrollCollapse": true,
	        "jQueryUI":       true,
	        "bFilter": true,
	        "pageLength": 100,
	        dom : 'Bfrtip',
			buttons : [{
	            extend: 'excel',
	            filename: 'Registro de Venta'
	            }]
	    		} );
		});

	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>

</body>
</html>