$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$("#cmdGuardar").click(function(){
		var hIdListaPrecio=4;//$("#hp_IdListaPrecio").val();
		var txtDenominacion = $("#txtDenominacion").val().trim().toUpperCase();
		txtDenominacion=normalize(txtDenominacion);
		
        var txtDescripcion = $("#txtDescripcion").val().trim().toUpperCase();
		txtDescripcion=normalize(txtDescripcion);
		
        var txtFechaInicio = $("#txtFechaInicio").val().trim().toUpperCase();
		var txtFechaFin = $("#txtFechaFin").val().trim().toUpperCase();
		
		if(!isEmpty(txtDenominacion)){
			$.ajax({
				url : baseURL + "/guardar-lista-precio",
				data : {
					idListaPrecio: hIdListaPrecio,	
					denominacion: txtDenominacion,
					descripcion:txtDescripcion,
					fechaInicio:txtFechaInicio,
					fechaFin:txtFechaFin
				},
				async:false,
				type : "get",
				success : function(response) {
					$("#subViewDiv").html( response );
				}
			});
		}else{
			alert('El campo Denominación es obligatorio!');
		}
		
    });
	
	init();
	
	function init(){
		var hIdListaPrecio=4;
        
        $.ajax({
			url : baseURL + "/mostrar-lista-precio-tabla",
			data : {
				idListaPrecio: hIdListaPrecio
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
	}
	
	
	//ServicioController
	$("#cmdGuardarServicio").click(function(){//ok
		var hIdServicio=$("#hIdServicioServicio").val();
		var hIdListaPrecio=4;//$("#hIdListaPrecioServicio").val();
		var hIdDetalleLista=$("#hIdDetalleListaServicio").val();
		
		var txtDenominacion = $("#txtDenominacionServicio").val().trim().toUpperCase();
		txtDenominacion=normalize(txtDenominacion);
        
		var txtDescripcion = $("#txtDescripcionServicio").val().trim().toUpperCase();
        txtDescripcion=normalize(txtDescripcion);
        
        var txtPrecioServicio=$("#txtPrecioServicio").val();
        if(!(isDouble(txtPrecioServicio))){
  			alert('Ingrese un precio valido del servicio!');
  			$("#txtPrecioServicio").focus();
  			$("#txtPrecioServicio").select();
  			return false;
  		}
        
        var txtCantidadStock=$("#txtCantidadStock").val();
        if(!(isDouble(txtCantidadStock))){
  			alert('Ingrese una cantidad valida del servicio!');
  			$("#txtCantidadStock").focus();
  			$("#txtCantidadStock").select();
  			return false;
  		}
        
        
        var selClasificacion=$("#selClasificacion").val();
        
        
        if(!isEmpty(txtDenominacion)){
        	$.ajax({
    			url : baseURL + "/registro-servicio",
    			data : {
    				idServicio: hIdServicio,
    				idListaPrecio:hIdListaPrecio,
    				idDetalleLista:hIdDetalleLista,
    				denominacion: txtDenominacion,
    				descripcion:txtDescripcion,
    				precio:txtPrecioServicio,
    				cantidad:txtCantidadStock,
    				clasificacion:selClasificacion
    			},
    			async:false,
    			type : "get",
    			success : function(response) {
    				$("[data-dismiss=modal]").trigger({ type: "click" });
    				$("#subViewDiv").html(response);
    			}
    		});
        }else{
        	alert('El campo denominación es obligatorio!');
        }
    });
	
	
	$("#cmdDelAceptarServicio").click(function(){//ok
		var hIdServicio=$("#hIdServicioDelete").val();
		var hIdListaPrecio=4;//$("#hIdListaPrecioServicioDelete").val();
		var hIdDetalleLista=$("#hIdDetalleListaPrecioDelete").val();
		var txtDenominacion = $("#txtDenominacionDelete").val().trim().toUpperCase();
        	
		$.ajax({
			url : baseURL + "/eliminar-servicio",
			data : {
				idServicio:hIdServicio,
				idListaPrecio:hIdListaPrecio,
				idDetalleLista:hIdDetalleLista
			},
			async:false,
			type : "get",
			success : function(response) {
				$("[data-dismiss=modal]").trigger({ type: "click" });
				$("#subViewDiv").html(response);
			}
		});
    });
	
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
	function isInt(str){
		return Number.isInteger(Number.parseInt(str));	
	}
	
	function isDouble(str){
		return $.isNumeric(str);	
	}
	
});


var normalize = (function() {
	  var from = "ÃÀÁÄÂÈÉËÊÌÍÏÎÒÓÖÔÙÚÜÛãàáäâèéëêìíïîòóöôùúüûÑñÇç", 
	      to   = "AAAAAEEEEIIIIOOOOUUUUaaaaaeeeeiiiioooouuuuNncc",
	      mapping = {};
	 
	  for(var i = 0, j = from.length; i < j; i++ )
	      mapping[ from.charAt( i ) ] = to.charAt( i );
	 
	  return function( str ) {
	      var ret = [];
	      for( var i = 0, j = str.length; i < j; i++ ) {
	          var c = str.charAt( i );
	          if( mapping.hasOwnProperty( str.charAt( i ) ) )
	              ret.push( mapping[ c ] );
	          else
	              ret.push( c );
	      }      
	      return ret.join( '' );
	  }
	 
	})();

function isEmpty(str){
    return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
}
