$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$('#myModalPago').on('show.bs.modal', function () {
		$("#selIdFormaPagoM").focus();
		$("#selIdFormaPagoM").select();
	});
	
	$("#cmdBuscar").click(function(){
		var txtFechaGuiaIni=$("#txtFechaGuiaIni").val();
		var txtFechaGuiaFin=$("#txtFechaGuiaFin").val();
		
		var selIdFormaPago=$("#selIdFormaPago").val();

		if((!isEmpty(txtFechaGuiaIni)) && isEmpty(txtFechaGuiaFin)){
			txtFechaGuiaFin=txtFechaGuiaIni;
		}
		
		//--
		$.ajax({
			url : baseURL + "/consulta-reporte-pagos",
			data : {
				fechaGuiaIni: txtFechaGuiaIni,
				fechaGuiaFin:txtFechaGuiaFin,
				idFormaPago:selIdFormaPago
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	$("#cmdImprimir").click(function(){
		window.open(baseURL+"/impresion-reporte-pagos", "_blank", "toolbar=1, scrollbars=1, resizable=1, width=" + 1015 + ", height=" + 800);
    });
	

	$("#cmdGuardarPago").click(function(){
		save();
    });
	
	function save(){
		//--
		var hIdPago=$("#hIdPago").val();
		var hIdComprobante=$("#hIdComprobante").val();
		//--
		var selIdFormaPago=$("#selIdFormaPagoM").val();
		var intIdFormaPago=parseInt(selIdFormaPago);
		
		if(intIdFormaPago==1){//Efectivo
			var selIdTipoTarjeta=0;
			var txtNumeroTarjeta="";
		}else if (intIdFormaPago==2){//Tarjeta
			var selIdTipoTarjeta=$("#selIdTipoTarjeta").val();
			var txtNumeroTarjeta=$("#txtNumeroTarjeta").val();	
		}
		
		var selIdTipoMoneda=$("#selIdTipoMoneda").val();
		
		$.ajax({
			url : baseURL + "/actualiza-pago",
			data : {
				idFormaPago:intIdFormaPago,
				idTipoTarjeta:selIdTipoTarjeta,
				numeroTarjeta:txtNumeroTarjeta,
				idTipoMoneda:selIdTipoMoneda,
				idComprobante:hIdComprobante,
				idPago:hIdPago
			},
			async:false,
			type : "get",
			success : function(result) {
				$('#cmdPagar').prop("disabled", true);
				$("#cmdPagar span").text("Pagar [A]");
				$('#txtEstadoFactura').val("PAGADO");
			}
		});
	}
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
});
