$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$("#cmdBuscar").click(function(){
		var txtFechaIni=$("#txtFechaIni").val();
		var txtFechaFin=$("#txtFechaFin").val();
		
		if((!isEmpty(txtFechaIni)) && isEmpty(txtFechaFin)){
			txtFechaFin=txtFechaIni;
		}
		
		//--
		$.ajax({
			url : baseURL + "/consulta-reporte-ventas",
			data : {
				fechaIni: txtFechaIni,
				fechaFin:txtFechaFin
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	$("#cmdImprimir").click(function(){
		window.open(baseURL+"/impresion-reporte-pagos", "_blank", "toolbar=1, scrollbars=1, resizable=1, width=" + 1015 + ", height=" + 800);
    });
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
});
