package com.delfines.business;

import java.io.File;
import java.math.RoundingMode;
import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

public class Util {
	
	public static String pathCONCAR="\\\\10.0.0.160\\claudio\\23032021\\"; 
	public static String pathCONCARCANCEL="\\\\10.0.0.160\\claudio\\23032021\\";
	
	public static Integer getYear(String date){
		Integer year=null; 
		try{
			SimpleDateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy"); 
	        Date fecha = dateFormat.parse(date);
	        
	        Calendar cal = Calendar.getInstance();
	        cal.setTime(fecha);
	        year = cal.get(Calendar.YEAR);
	        year=year-2000;
		}catch(Exception e){
			e.printStackTrace();
		}
		return year;
	}
	
	public static java.sql.Date stringToDate(String date){
		java.sql.Date sqlDate=null; 
		try{
			SimpleDateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy"); 
	        sqlDate = new java.sql.Date(dateFormat.parse(date).getTime());	
		}catch(Exception e){
			e.printStackTrace();
		}
		return sqlDate;
	}

	public static String format(Double number){
		String value="0.00"; 
		try{
			NumberFormat nf = NumberFormat.getNumberInstance(new Locale("en", "US"));
			nf.setMaximumFractionDigits(2);
			nf.setMinimumFractionDigits(2);
		    value = nf.format(number);
		}catch(Exception e){
			e.printStackTrace();
		}
		return value;
	}
	
	public static String formatDec(Double number){
		String value="0.00"; 
		try{
			NumberFormat nf = NumberFormat.getNumberInstance(new Locale("en", "US"));
			nf.setMaximumFractionDigits(2);
			nf.setMinimumFractionDigits(2);
		    value = nf.format(number);
		    value=value.replaceAll(",", "");
		}catch(Exception e){
			e.printStackTrace();
		}
		return value;
	}
	
	public static void createFolderCONCAR(String folderName){
		try{
			File dir=new File(pathCONCAR+folderName);
	       if(!dir.exists()){
	           dir.mkdir();
	       }
		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public static void createFolderCONCARCANCEL(String folderName){
		try{
			File dir=new File(pathCONCARCANCEL+folderName);
	       if(!dir.exists()){
	           dir.mkdir();
	       }
		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public static void createFolderGOSOCKET(String folderName){
		try{
		
		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public static Double format(String number){
		Double value=0.00; 
		try{
			value=Double.valueOf(number); 
		}catch(Exception e){
			e.printStackTrace();
		}
		return value;
	}
	
	public static Double isNull(Double number){
		Double value=0.00; 
		try{
			value=Double.valueOf(number); 
		}catch(Exception e){
			;
		}
		return value;
	}
	
	
}
