<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<title>EFACTURE | Java JEE - Spring & AWS Amazon</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta charset="utf-8">
	<meta name="title" content="EFACTURE | Java JEE - Spring & AWS Amazon">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Desarrolla aplicaciones web empresariales a partir de un framework profesional Java JEE - Spring | Garantiza el desempeño y la disponibilidad de tus aplicaciones web con AWS Amazon Cloud | Protege los datos e incrementa la confianza de tus aplicaciones web con certificados SSL para HTTPS." />
	<meta name="author" content="" />
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	
	<style>
		.green-border {
		  border: 1px solid green !important;  
		}
		
		input:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		select:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		textarea:required:focus {
		  border: 2px solid red;
		  outline: none;
		}
		
		.pac-container {
		   z-index: 10000 !important;
		}
		.ui-autocomplete {
		    z-index: 1051 !important;
		}
	</style>
	
</head>

<body class="page-body">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="form-group">
						    <label class="control-label control-label-left col-sm-3" >Direccion:</label>
							<div class="controls col-sm-9">
								<input id="map-search" placeholder="" required="required" size="100" maxlength="100" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
			            	</div>
					</div>
				</div>
			</div>
			
			<div class="row">
				<div class="col-md-12">
					<div class="form-group">
						<div class="controls col-sm-12" style="width:100%;height:200px"  id="map-canvas"></div>
						<input type="hidden" id="hLatitude" class="latitude">
						<input type="hidden" id="hLongitude" class="longitude">
						<input type="hidden" class="reg-input-city" placeholder="City">
					</div>
				</div>
			</div>	
		</div>			

	<script>
			$(function(){
		        $('input:required,textarea:required,select:required').on('blur', function(){
		        });
		  });
	</script>
	
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>

	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	
	<!-- google map --> 
	<script src="<c:url value="/resources/address/javascript.js?1"/>"></script>
	<script src="<c:url value="/resources/address/jquery-min.js"/>"></script>
    <script src="<c:url value="/resources/address/bpopup.js"/>"></script>
    
	<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBZD0CeTHZ4qA9-hHj0AYKV8FxJTxte_mk&libraries=places&callback=initMap"
        async defer></script>
    <!-- google map -->
	
</body>
</html>