<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<link rel="stylesheet" href="<c:url value="/resources/css/a5.css"/>">
		
		<title>Factura</title>
		
		<script type="text/javascript">
			window.onload = function() {
				window.print();
				setTimeout(function() {
					window.close();
				}, 1);
			}
		</script>
		
		<script language="javascript">
			function ejecutarImpresion() {
				window.print();
			}
			function imprimir() {
				document.getElementById("Cabecera").style.display = "none";
				ejecutarImpresion();
				document.getElementById("Cabecera").style.display = "";
			}
		</script>
	</head>
	
	<body
		style="margin: 0px; padding: 0px; font-size: 11px; font-family: sans-serif;">
			<form  style="margin: 20px; padding: 0px;">
				<div style="width: 100%; text-align: center;">
					<table border="0" style="margin-top: 10px;" width="100%">
						<tbody align="center">
							<tr>
								<td style="text-align: center;" width="50%">
									<table border="0" style="margin-top: 10px;" width="100%">
										<tr>
											<td>
												<span style="float: center;">
													<img src="./resources/assets/images/logo_delfin.png" height="60" alt="" />
												</span>
											</td>	
										</tr>	
										<tr>
											<td>
												CORPORACIÓN EL GOLF S.A.
											</td>	
										</tr>
										<tr>
											<td>
												CALLE LOS EUCALIPTOS 555 SAN ISIDRO LIMA - LIMA - PERÚ
											</td>
										</tr>
										<tr>
											<td>
												TELF.:(511)215-7000 FAX: (511)215-7071
											</td>	
										</tr>
									</table>
								</td>
								
								<td style="text-align: right; font-weight: bold;" width="50%">
										<table cellpadding="0" cellspacing="0" border="1" style="margin-top: 10px;width:80%;border-collapse:collapse;">
											<tbody align="right">
												<tr>
													<td style="text-align: center;font-size:small">
														R.U.C. No 20136957253														
													</td>
												</tr>
												<tr>
													<td style="text-align: center;font-size:x-small">
														BOLETA DE VENTA ELECTRÓNICA														
													</td>
												</tr>
												<tr>
													<td style="text-align: center;font-size:x-small">
														No ${comprobante.numeroComprobante}														
													</td>
												</tr>
											</tbody>
										</table>
								</td>
							</tr>
							
						</tbody>
					 </table>
					
					<table cellpadding="0" cellspacing="1" border="1" style="margin-top: 10px;width:100%;border-collapse:collapse;">
						<tbody align="center">
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Señor(es):
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
									${comprobante.denominacionCliente}	 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Fecha Emisión:
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									${comprobante.fechaComprobante}
								</td>
							</tr>
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Dirección:
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
									${comprobante.direccionCliente}	 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Llegada:
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									
								</td>
							</tr>
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									D.N.I.:
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
									${comprobante.numeroDocumentoCliente}		 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Salida:
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									
								</td>
							</tr>
							
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Huesped:
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
										 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Conf.:
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									
								</td>
							</tr>
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Habitación:
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
										 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									
								</td>
							</tr>
						</tbody>
					</table>
					
					<table cellpadding="4" cellspacing="2" border="0" style="margin-top: 10px;width:100%;border-collapse:collapse;">
						<thead align="center">
							<tr>
								<td bgcolor="#FF" style="width:10%;text-align: left;font-size:x-small;font-weight:bold">
									Cantidad.
								</td>
								<td bgcolor="#FF" style="width:60%;text-align: left;font-size:x-small;font-weight:bold">
									Descripción	 
								</td>
								<td bgcolor="#FF" style="width:15%;text-align: left;font-size:x-small;font-weight:bold">
									Valor Unitario
								</td>
								<td bgcolor="#FF" style="width:15%;text-align: left;font-size:x-small;font-weight:bold">
									Valor Total
								</td>
							</tr>
						</thead>
						
						<tbody align="center">
							<c:forEach items="${lComprobanteDetalle}" var="o" varStatus="i" >
								<tr>
									<td style="width:5%;text-align: right;font-size:xx-small">
										${o.cantidad}
									</td>
									<td style="width:50%;text-align: left;font-size:xx-small">
										${o.denominacionServicio}	 
									</td>
									<td style="width:35%;text-align: right;font-size:xx-small">
										<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.subTotalNeto/o.cantidad}"/>
									</td>
									<td style="width:10%;text-align: right;font-size:xx-small">
										<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.subTotalNeto}"/>
									</td>
								</tr>
							</c:forEach>
						</tbody>
						<tfoot>	
							<tr>
								<td colspan="4" align="left" >
									***	SON: ${comprobante.totalNetoWord} SOLES
								</td>
							</tr>
						</tfoot>
					</table>
					
					<table border="0" style="margin-top: 10px;" width="100%">
						<tbody align="left">
							<tr>
								<td style="text-align: center;" width="60%">
									
								</td>
								<td style="text-align: right; font-weight: bold;" width="40%">
										<table cellpadding="0" cellspacing="1" border="1" style="margin-top: 10px;width:100%;border-collapse:collapse;">
											<tbody align="right">
												<tr>
													<td style="text-align: left;font-size:xx-small">
														Operaciones gravadas														
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
														<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${comprobante.subTotalNeto}"/>
													</td>
												</tr>
												<tr>
													<td style="text-align: left;font-size:xx-small">
														Operaciones inafectas														
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
														0.00														
													</td>
												</tr>
												<tr>
													<td style="text-align: left;font-size:xx-small">
														Operaciones exoneradas														
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
														0.00														
													</td>
												</tr>
												<tr>
													<td style="text-align: left;font-size:xx-small">
														Operaciones gratuitas														
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
														0.00														
													</td>
												</tr>
												<tr>
													<td style="text-align: left;font-size:xx-small">
														IGV	18%													
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
														<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${comprobante.totalIgv}"/>
													</td>
												</tr>
												<tr>
													<td style="text-align: left;font-size:xx-small">
														Cargo por Servicios 10%														
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
																												
													</td>
												</tr>
												<tr>
													<td style="text-align: left;font-size:xx-small">
														Propina														
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
																												
													</td>
												</tr>
												
												<tr>
													<td style="text-align: left;font-size:xx-small;font-weight:bold">
														Importe total														
													</td>
													<td style="text-align: left;font-size:xx-small">
														S/.														
													</td>
													<td style="text-align: right;font-size:xx-small">
														<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${comprobante.totalGeneral}"/>
													</td>
												</tr>
											</tbody>
										</table>
								</td>
							</tr>
						</tbody>
					 </table>
				</div>
			</form>
	</body>
</html>