<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<link rel="stylesheet" href="<c:url value="/resources/css/a5.css"/>">
		
		<title>Factura</title>
		
		<script type="text/javascript">
			window.onload = function() {
				window.print();
				setTimeout(function() {
					window.close();
				}, 1);
			}
		</script>
		
		<script language="javascript">
			function ejecutarImpresion() {
				window.print();
			}
			function imprimir() {
				document.getElementById("Cabecera").style.display = "none";
				ejecutarImpresion();
				document.getElementById("Cabecera").style.display = "";
			}
		</script>
	</head>
	<body
		style="margin: 0px; padding: 0px; font-size: 11px; font-family: sans-serif;">
			<form  style="margin: 20px; padding: 0px;">
				<div style="width: 100%; text-align: center;">
					<table border="0" style="margin-top: 10px;" width="100%">
						<tbody align="left">
							<tr>
								<td style="text-align: center;" width="50%">
									<span style="float: center;">
										<img src="./resources/assets/images/logo_delfin.png" height="65" alt="" />
									</span>
								</td>
								<td style="text-align: right; font-weight: bold;" width="50%">
										<table style="margin-top: 10px;" width="100%">
											<tbody align="center">
												<tr>
													<td style="text-align: center;font-size:small">
														<br>HORARIO DE ATENCIÓN</br>														
													</td>
												</tr>
												<tr>
													<td style="text-align: center;font-size:x-small">
														Lunes a Sábado														
													</td>
												</tr>
												<tr>
													<td style="text-align: center;font-size:x-small">
														09:00 a.m. a 06:00 p.m.														
													</td>
												</tr>
												<tr>
													<td style="text-align: center;font-size:x-small">
														Telf.: 2159700														
													</td>
												</tr>
											</tbody>
										</table>
								</td>
							</tr>
						</tbody>
					</table>
					
					<table style="margin-top: 10px;width:100%">
						<tbody align="center">
							<tr>
								<td style="width:100%;text-align: center;font-size:large">
									GUÍA DE RECEPCIÓN NRO : ${guia.numeroGuia} 
								</td>
							</tr>
						</tbody>
					</table>
					
					<table cellpadding="0" cellspacing="1" border="1" style="margin-top: 10px;width:100%;border-collapse:collapse;">
						<tbody align="center">
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Señor:
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
									${guia.denominacionCliente}	 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Teléfono:
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									${guia.telefono}
								</td>
							</tr>
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Dirección:
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
									${guia.direccion}	 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Fecha Guía:
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									${guia.fechaGuia}
								</td>
							</tr>
							<tr>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Comentario:
								</td>
								<td style="width:60%;text-align: left;font-size:xx-small">
									${guia.comentario} 
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small;font-weight:bold">
									Fecha Prom.:
								</td>
								<td style="width:20%;text-align: left;font-size:xx-small">
									${guia.fechaComprometida}
								</td>
							</tr>
							
						</tbody>
					</table>
					
					<table cellpadding="0" cellspacing="1" border="1" style="margin-top: 10px;width:100%;border-collapse:collapse;">
						<thead align="center">
							<tr>
								<td bgcolor="#FF" style="width:5%;text-align: left;font-size:x-small;font-weight:bold">
									Pzas.
								</td>
								<td bgcolor="#FF" style="width:50%;text-align: left;font-size:x-small;font-weight:bold">
									Denominación	 
								</td>
								<td bgcolor="#FF" style="width:35%;text-align: left;font-size:x-small;font-weight:bold">
									Descripción
								</td>
								<td bgcolor="#FF" style="width:10%;text-align: left;font-size:x-small;font-weight:bold">
									Importe 
								</td>
							</tr>
						</thead>
						<tbody align="center">
							<c:set var="total_totallinea" value="0" scope="request" />
							<c:forEach items="${lDetalle}" var="o" varStatus="i" >
								<tr>
									<td style="width:5%;text-align: right;font-size:xx-small">
										${o.cantidad}
									</td>
									<td style="width:50%;text-align: left;font-size:xx-small">
										${o.denominacion}	 
									</td>
									<td style="width:35%;text-align: left;font-size:xx-small">
										${o.descripcion}
									</td>
									<td style="width:10%;text-align: right;font-size:xx-small">
										S/. <fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.totalLinea}"/>
									</td>
									<c:set var="total_totallinea" value="${total_totallinea + o.totalLinea}" scope="request"/>
								</tr>
							</c:forEach>
						</tbody>
						
						<tfoot>	
							<tr>
								<td style="width:5%;text-align: right;font-size:xx-small">
									
								</td>
								<td style="width:15%;text-align: left;font-size:xx-small">
										 
								</td>
								<td style="width:70%;text-align: left;font-size:xx-small">
									
								</td>
								<td style="width:10%;text-align: right;font-size:xx-small">
									S/. <fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_totallinea}"/> 
								</td>
							</tr>
						</tfoot>
					</table>
					
					<table style="margin-top: 10px;width:100%">
						<tbody align="center">
							<tr>
								<td style="width:100%;text-align: justify;font-size:xx-small">
								 Pérdida o deterioro se indemizará de acuerdo a la R.S. 2822. según la cual también se procederá a rematar las prendas pasados los <b>30</b> días. La LAVANDERÍA no se responsabiliza por el deterioro de botones y malos tintes de las prendas
								</td>
							</tr>
							<tr>
								<td style="width:100%;text-align: center;font-size:x-small;font-weight:bold">
								  RECOMENDACIONES
								</td>
							</tr>
							<tr>
								<td style="width:100%;text-align: justify;font-size:Xx-small">
									<ul>
										<li type="disc">Si sus prendas tienen adornos o botones delicados, deben sacarlos.</li>
										<li type="disc">No guardar ropa de una temporada a otra sin antes haberlas lavado.</li>
										<li type="disc">Las prendas blancas o de color no deben ser objeto de abuso en cuanto a ensuciarse excesivamente.</li>
										<li type="disc">SÍRVASE REVISAR SUS PRENDAS ANTES DE MANDARLAS A LA LAVANDERÍA.</li>
									</ul>
								</td>
							</tr>
							<tr>
								<td style="width:100%;text-align: center;font-size:x-small;font-weight:bold">
								  CONDICIONES
								</td>
							</tr>
							<tr>
								<td style="width:100%;text-align: justify;font-size:Xx-small">
									La sola recepción del presente recibo implica la aceptación de las condiciones siguientes:
								</td>
							</tr>
							<tr>
								<td style="width:100%;text-align: justify;font-size:Xx-small">
									<ul>
										<li type="disc">No nos responsabilizamos por prendas que destiñan por malos tintes: por las prendas o adornos que no resistan el lavado o plancaho: por las prendas que se deterioren debido a estar demasiado usadas o por teñidos y confecciones defectuosas.</li>
										<li type="disc">No hay lugar a reclamos una vez retirada la prenda</li>
										<li type="disc">La indenmización por la ropa perdida o malograda se reconocerá hasta 7 veces el valor del lavado</li>
										<li type="disc">El plazo máximo para retirar prendas es de 30 días después de entregada a la lavandería, vencido el plazo se donará a instituciones de caridad.</li>
										<li type="disc">NO NOS RESPONSABILIZAMOS POR DINERO U OBJETOS DE VALOR DEJADOS EN LAS PRENDAS.</li>
									</ul>
								</td>
							</tr>
							<tr>
								<td style="width:100%;text-align: center;font-size:x-small;font-weight:bold">
								  IMPORTANTE
								</td>
							</tr>
							<tr>
								<td style="width:100%;text-align: justify;font-size:Xx-small;font-weight:bold">
									LAS PRENDAS NO RECOGIDAS DENTRO DE 30 DÍAS SERÁN REAJUSTADAS DE ACUERDO A LA LISTA ACTUAL
								</td>
							</tr>
							
						</tbody>
					</table>
				</div>
			</form>
		
		
	</body>
</html>