<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="Biblioteca ENAMM" />
	<meta name="author" content="" />

	<link rel="icon" href="<c:url value="/resources/assets/images/favicon.ico"/>">

	<title>FACTURE - ADAPTER</title>

	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jquery-ui/css/no-theme/jquery-ui-1.10.3.custom.min.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<link rel="stylesheet" href="<c:url value="/resources/css/login-style.css"/>">	
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<script type="text/javascript"	src="<c:url value="/resources/js/fn_login.js" />"></script>
</head>

<body class="page-body">

		<div class="container">
			<div id="login" class="signin-card">
			
			  <div align="center" class="logo-image">
			  	<img src="./resources/assets/images/logo_facture.png" alt="Logo" title="Logo" width="100%">
			  </div>
			  
			  
			  <h2 class="display1">Sistema de Ventas</h2>
			  
			  <form id="frmLogin" action="" method="" class="" role="form">
			    <div id="form-login-username" class="form-group">
			      <input id="username" placeholder="Login" class="form-control" name="username" type="text" size="18" alt="login" required />
			      <span class="form-highlight"></span>
			      <span class="form-bar"></span>
			    </div>
			    <div id="form-login-password" class="form-group">
			      <input id="passwd" placeholder="Password" class="form-control" name="password" type="password" size="18" alt="password" required>
			      <span class="form-highlight"></span>
			      <span class="form-bar"></span>
			    </div>
			    
			    <div>
			      <button id="cmdIngresar" class="btn btn-block btn-info ripple-effect" type="button" name="Submit" alt="sign in">Ingresar</button>  
				</div>
				
				<div align="center">
			      	<br>
				</div>
				
				<div align="center">
			      	<a href="<c:url value="/add-user"/>">
						<i class="entypo-user-add"></i>
						<span class="title">Registro de usuario</span>
					</a>
				</div>
				
			  </form>
			  
			</div>
			</div>			

	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery-ui/js/jquery-ui-1.10.3.minimal.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>


	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>


	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	<script>
		$(document).ready(function(){
			$('#username').focus();
			$('#username').select();
			
		    $('#username').keypress(function(e){
		      if(e.keyCode==13)
		      $('#cmdIngresar').click();
		    });
		    
		    $('#passwd').keypress(function(e){
			      if(e.keyCode==13)
			      $('#cmdIngresar').click();
			});
		});
	</script>
	
</body>
</html>