<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
		<input type="hidden" id="hIdListaPrecio" value="0">
		
		<table id="tmante-listaprecio" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th align="left" colspan="6">
						<button type="button" id="cmdNuevoListaPrecio" onclick="setParameter(-1)" class="btn btn-success btn-xs" >Agregar<i class="entypo-plus"></i> </button>
					</th>
				</tr>
				<tr>
					<th align="center">
						Item
					</th>
					<th>Codigo</th>
					<th>Denominacion</th>
					<th>Descripcion</th>
					<th></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${lista}" var="o" varStatus="i" >
				<tr>	
					<td align="center">
						${i.count}
					</td>
					<td align="center">
						${o.idListaPrecio}
					</td>						
					<td>
						${o.denominacion}
					</td>
					<td>
						${o.descripcion}
					</td>
					<td align="center">
						<input type="hidden" id="hIdListaPrecio${o.idListaPrecio}" value="<c:out value="${o.idListaPrecio}"/>">
						
						<button type="button" onclick="onEditListaPrecio(${o.idListaPrecio})" class="btn btn-info btn-xs" ><i class="entypo-pencil"></i> 
						</button>
					</td>
					<td align="center">
						<a href="#" onclick="confirmDelete(${i.index})" data-toggle="modal" data-target="#mDelListaPrecio"> 
							<i class="entypo-cancel"></i> 
						</a>
					</td>
				</tr>
			</c:forEach>
			<tbody>
		</table>
		
	<script>
		var baseURL=$('#contextPathHolder').attr('data-contextPath');
	
		$(document).ready(function() {
			$('#tmante-listaprecio').DataTable( {
		    	"scrollY":        500,
		        "scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : ['excel'],
				autoWidth: false, //step 1
				"columnDefs": [
								{ "width": "2px", "targets": 0},
								{ "width": "2px", "targets": 1},
								{ "targets": 2,"searchable": true }
				             ]
		    		} );
		})
		
		function onEditListaPrecio(idListaPrecio){
			if(idListaPrecio>0){
				var hiddenIdListaPrecio=document.getElementById('hIdListaPrecio'+idListaPrecio+'');
				$("#hIdListaPrecio").val(hiddenIdListaPrecio.value);
				var hIdListaPrecio=$("#hIdListaPrecio").val();
		        
				$.ajax({
					url : baseURL + "/init-registro-lista-precio",
					data : {
						idListaPrecio: hIdListaPrecio
					},
					async:false,
					type : "get",
					success : function(exito) {
						window.location.replace(baseURL+"/registro-lista-precio");
					}
				});
				
			}
		}
		
		function confirmDelete(index){
			if(index>=0){
				var hIdListaPrecios=document.getElementById('hIdListaPrecio'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');

				$("#hIdListaPrecioDelete").val(hIdListaPrecios.value);
	        	$("#txtDenominacionDelete").val(hDenominacion.value);
			}
		}
		
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 9pt;}
	TH{font-family: Arial; font-size: 9pt;}
	--->
	</STYLE>
</body>
</html>