<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
		<table id="tmante" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th>Existencia</th>
					<th>Tipo</th>
					<th>Código</th>
					<th>Denominación</th>
					<th>Fecha Mov.</th>
					<th>Tipo Mov.</th>
					<th>Documento</th>
					<th>Tipo Doc.</th>
					<th>Serie</th>
					<th>Operación</th>
					<th>Tipo</th>
					<th>Orden</th>
					
					<th align="right">Cant. Entrada</th>
					<th align="right">CUnit Entrada</th>
					<th align="right">CTot Entrada</th>
					
					<th align="right">Cant. Salida</th>
					<th align="right">CUnit Salida</th>
					<th align="right">CTot Salida</th>
					
					<th align="right">Cant. Saldo</th>
					<th align="right">CUnit Saldo</th>
					<th align="right">CTot Saldo</th>
					
				</tr>
			</thead>
			
			<tbody>
				<c:set var="total_registros" value="0" scope="request" />
			
				<c:forEach items="${lista}" var="co"  varStatus="i" >
				<tr>							
					<td>
						${co.tipoExistencia}
					</td>
					<td>
						${co.tipoExistenciaDesc}
					</td>
					<td>
						${co.codigo}
					</td>
					<td>
						${co.articulo}
					</td>
					<td>
						${co.fechaHoraMovimiento}
					</td>
					<td>
						${co.tipoMovimiento}
					</td>
					<td>
						${co.tipoDocumento}	
					</td>
					<td>
						${co.tipoDocumentoDesc}
					</td>
					
					<td>
						${co.serieDocumento}
					</td>
					<td>
						${co.tipoOperacion}
					</td>
					<td>
						${co.tipoOperacionDesc}
					</td>
					<td>
						${co.ordenServicio}
					</td>
					
					<td align="right">
						${co.sCantidadEntrada}
					</td>
					<td align="right">
						${co.sCostounitEntrada}
					</td>
					<td align="right">
						${co.sCostoEntrada}
					</td>
					
					<td align="right">
						${co.sCantidadSalida}
					</td>
					<td align="right">
						${co.sCostounitSalida}
					</td>
					<td align="right">
						${co.sCostoSalida}
					</td>
					
					<td align="right">
						${co.sCantidadSaldo}
					</td>
					<td align="right">
						${co.sCostunitSaldo}
					</td>
					<td align="right">
						${co.sCostoSaldo}
					</td>
					
					<c:set var="total_registros" value="${total_registros + 1}" scope="request"/>
				</tr>
				</c:forEach>
			<tbody>
			
			<tfoot>
				<tr>
					<td></td>
					<td align="right" >Total:</td>
					<td align="right">
						${total_registros}
					</td>
					<td colspan="18" ></td>
				</tr>
			</tfoot>
		</table>
			
			
						
	<script>

	$(document).ready(function() {
		$('#tmante').DataTable( {
	    	"scrollY":        500,
	        "scrollCollapse": true,
	        "jQueryUI":       true,
	        "bFilter": true,
	        "pageLength": 100,
	        dom : 'Bfrtip',
			buttons : [{
		            extend: 'excel',
		            filename: 'Registro de Inventario'
		            }]
	    		} );
		});
	
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>

</body>
</html>