$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$.ajax({
		url : baseURL + "/lista-tipo-cambio",
		async:false,
		type : "get",
		success : function(response) {
			$("#subViewDiv").html( response );
		}
	});
	
	$("#cmdGuardar").click(function(){
		var hIdTipoCambio=$("#hIdTipoCambio").val();
		
        if(valida()){
        	var txtFecha = $("#txtFecha").val().trim().toUpperCase();
    		var txtTipoCambioCompra = $("#txtTipoCambioCompra").val().trim().toUpperCase();
            var txtTipoCambioVenta = $("#txtTipoCambioVenta").val().trim().toUpperCase();	
        	$.ajax({
    			url : baseURL + "/registro-tipo-cambio",
    			data : {
    				idTipoCambio: hIdTipoCambio,	
    				fecha: txtFecha,
    				tipoCambioCompra:txtTipoCambioCompra,
    				tipoCambioVenta:txtTipoCambioVenta
    			},
    			async:false,
    			type : "get",
    			success : function(response) {
    				$("#subViewDiv").html(response);
    			}
    		});
        }else{
        	alert('Debe registrar todos los campos!');
        }
        
    });
	
	function valida(){
		var txtFecha = $("#txtFecha").val().trim().toUpperCase();
		if(isEmpty(txtFecha)){
			alert("Debe registrar la fecha de tipo de cambio!");
			$("#txtFecha").focus();
  			$("#txtFecha").select();
			return false;
		}
		
		var txtTipoCambioCompra = $("#txtTipoCambioCompra").val().trim().toUpperCase();
		var tipoCambioCompra=parseFloat(txtTipoCambioCompra);
		if(!(isDouble(tipoCambioCompra))){
  			alert('Ingrese un tipo de cambio compra valido!');
  			$("#txtTipoCambioCompra").focus();
  			$("#txtTipoCambioCompra").select();
  			return false;
  		}
		
		var txtTipoCambioVenta= $("#txtTipoCambioVenta").val().trim().toUpperCase();
		var tipoCambioVenta=parseFloat(txtTipoCambioVenta);
		if(!(isDouble(tipoCambioVenta))){
  			alert('Ingrese un tipo de cambio venta valido!');
  			$("#txtTipoCambioVenta").focus();
  			$("#txtTipoCambioVenta").select();
  			return false;
  		}
		return true;
	}
	
	function isDouble(str){
		return $.isNumeric(str);	
	}
	
	$("#cmdDelAceptar").click(function(){
		var hIdTipoCambio=$("#hIdTipoCambioDelete").val();
		var txtFecha = $("#txtFechaDelete").val().trim().toUpperCase();
        	
		$.ajax({
			url : baseURL + "/eliminar-tipo-cambio",
			data : {
				idTipoCambio: hIdTipoCambio
			},
			async:false,
			type : "get",
			success : function(exito) {
				$("[data-dismiss=modal]").trigger({ type: "click" });
				window.location.replace(baseURL+"/mante-tipo-cambio");
			}
		});
    });
	
});

function isEmpty(str){
    return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
}