package com.delfines.business;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.delfines.dao.ConnectionFactoryOperaBat;
import com.delfines.dao.ConnectionFactorySQL;

public class RegistroGosocketBo {

	public Integer registroGosocket(String nroComprobante,String fechaComprobante,String tipoComprobante,String montoComprobante,String nroDocumento,String tipoDocumento,String nombreCliente,String tipoMoneda){
		PreparedStatement ps=null;
		ResultSet rs=null;
		Integer pk=0;
     try {
     	Connection conn = ConnectionFactoryOperaBat.getInstance().getConnection();
         
         StringBuilder query = new StringBuilder();
         query.append("INSERT INTO TRAINING.HLD_REGISTRO_GOSOCKET(nro_comprobante,fecha_comprobante,tipo_comprobante,monto_comprobante,nro_documento,tipo_documento,audit_fechahora,tipo_moneda,nombre_cliente) ");
         query.append("VALUES(?,?,?,?,?,?,SYSDATE,?,?) ");
         
         ps = conn.prepareStatement(query.toString());
         ps.setString(1, nroComprobante);
         ps.setString(2, fechaComprobante);
         ps.setString(3, tipoComprobante);
	     ps.setDouble(4, Util.format(montoComprobante));
	     ps.setString(5, nroDocumento);
	     ps.setString(6, tipoDocumento);
	     ps.setString(7, tipoMoneda);
	     ps.setString(8, nombreCliente);
         //--
         ps.executeUpdate();
         
     } catch (SQLException e) {
         throw new RuntimeException(e);
     } catch (Exception e) {
         throw new RuntimeException(e);
     }finally {
     	if (ps != null) {try {ps.close();} catch (SQLException e) {e.printStackTrace();}}
         if (rs != null) {try {rs.close();} catch (SQLException e) {e.printStackTrace();}}
     }
     
     return pk;
	}
	
}
