package com.delfines.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;

import org.apache.tomcat.jdbc.pool.DataSource;
import org.apache.tomcat.jdbc.pool.PoolProperties;

import com.delfines.Constante;
import com.delfines.business.RegistroFacturaBo;
import com.delfines.business.ReportesBo;
import com.delfines.spring.controller.JavaGoSocketWrite;
import com.delfines.vo.Comprobante;
import com.delfines.vo.ComprobanteDetalle;

public final class ConnectionFactory {
	/**desarrollo**/
	//public static final String URL = "jdbc:sqlserver://efacturedb.cqnxthnn57cm.us-west-1.rds.amazonaws.com:1433;databaseName=dbfacture;user=sa;password=19980679";
	public static final String URL = "jdbc:sqlserver://localhost:1433;databaseName=db_lavanderia;user=sa;password=admin";
	
	private static ConnectionFactory instance;
    private Connection connection;

    private ConnectionFactory() {
        this.connect();
    }
	
	public static ConnectionFactory getInstance() {
        if (ConnectionFactory.instance == null) {
        	ConnectionFactory.instance = new ConnectionFactory();
        }
        return ConnectionFactory.instance;
    }
	
	private void connect() {
        try {
        	System.out.println("Connect...");
        	Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");  
			this.connection=DriverManager.getConnection(URL);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
	
	public Connection getConnection() {
		try {
			this.connection=DriverManager.getConnection(URL);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return this.connection;
    }
	
    /**
     * Test Connection
     */
    public static void main(String[] args) {
    	
    	try{
	    	System.out.println("conecct...");
	        Connection connection = ConnectionFactorySQL.getInstance().getConnection();
	        String SQL = "select * from area";  
	        Statement stmt = connection.createStatement();  
	        ResultSet rs = stmt.executeQuery(SQL);
	        while (rs.next()) {  
	            System.out.println(rs.getString(1) + " " + rs.getString(2));  
	        }  
    	}catch(Exception e){
    		e.printStackTrace();
    	}
        
    }	
}
