/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.org.util;

import java.util.Set;

import javax.xml.namespace.QName;
import javax.xml.soap.SOAPElement;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPHeader;
import javax.xml.soap.SOAPMessage;
import javax.xml.ws.handler.MessageContext;
import javax.xml.ws.handler.soap.SOAPHandler;
import javax.xml.ws.handler.soap.SOAPMessageContext;

/**
 *
 * @author obardales
 */
public class HeaderHandler implements SOAPHandler<SOAPMessageContext> {
    public String vruc;

    public boolean handleMessage(SOAPMessageContext smc) {
        Boolean outboundProperty = (Boolean) smc.get(MessageContext.MESSAGE_OUTBOUND_PROPERTY);
        if (outboundProperty.booleanValue()) {
            SOAPMessage message = smc.getMessage();
            
            try {
            	
            	message.writeTo(System.out);
                System.out.println(message);

                SOAPEnvelope envelope = smc.getMessage().getSOAPPart().getEnvelope();
                envelope.addAttribute(new QName("xmlns:ser"),"http://service.sunat.gob.pe");
                
                SOAPHeader header = message.getSOAPHeader();
                
                if (header == null) {
                    header = envelope.addHeader();
                }
                
                SOAPElement security = header.addChildElement("Security", "wsse", "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd");
                SOAPElement usernameToken = security.addChildElement("UsernameToken", "wsse");
                //usernameToken.addAttribute(new QName("xmlns:wsu"), "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd");
                SOAPElement username = usernameToken.addChildElement("Username", "wsse");
                username.addTextNode("20601561698ADAPTER2");

                SOAPElement password = usernameToken.addChildElement("Password", "wsse");
                //password.setAttribute("Type", "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText");
                password.addTextNode("Adapte980679");
                
                message.saveChanges();
                
                smc.getMessage().writeTo(System.out);
                
                System.out.println(message);
                
            } catch (Exception e) {
                e.printStackTrace();
            }

        } else {
            try {

            } catch (Exception ex) {
                ex.printStackTrace();
            }
        }

        return outboundProperty;

    }

    public Set getHeaders() {
        //throw new UnsupportedOperationException("Not supported yet.");
        return null;
    }

    public boolean handleFault(SOAPMessageContext context) {
        //throw new UnsupportedOperationException("Not supported yet.");
        return true;
    }

    public void close(MessageContext context) {
        //throw new UnsupportedOperationException("Not supported yet.");
    }

    public String getVruc() {
        return vruc;
    }

    public void setVruc(String vruc) {
        this.vruc = vruc;
    }
}
